y0 = 0.08;
tout = 0:0.1:5;
anfun = @(t,y) 5*(y-t.^2);
options = odeset("RelTol",1.e-12,"AbsTol",1.e-12);
[t,y] = ode45(anfun,tout,y0,options);
tanalyt = tout.^2+0.4*tout+0.08;
plot(t,y,'k-',tout,tanalyt,'r--') ; grid
xlabel('t')
ylabel('y')
legend('numerical','analytical')

