function ferr = solveODEs(Tho,hi,ho,Ai,Ao,L,wc,wh,cP,Tci,Thi)
% z values
zspan = linspace(0,L) ;
% initial conditions
T0 = [ Tci Tho ]';
% anonymous function
htexranon = @(z,T) htexr(z,T,hi,ho,Ai,Ao,wc,wh,cP);
% solve ODEs
[ zsoln, Tsoln ] = ode45(htexranon,zspan,T0);
% compute error as computed hot stream inlet
% temperature minus the specified value
ferr = Tsoln(end,2) - Thi;
